org.apache.sysds.runtime.io

## Enum FileFormatPropertiesMM.MMField

- java.lang.Object
- - java.lang.Enum<FileFormatPropertiesMM.MMField>
  - - org.apache.sysds.runtime.io.FileFormatPropertiesMM.MMField

- All Implemented Interfaces:
    Serializable, Comparable<FileFormatPropertiesMM.MMField>
  Enclosing class:
    FileFormatPropertiesMM

      public static enum FileFormatPropertiesMM.MMField
      extends Enum<FileFormatPropertiesMM.MMField>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `COMPLEX`
    `INTEGER`
    `PATTERN`
    `REAL`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `toString()`
    `static FileFormatPropertiesMM.MMField` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static FileFormatPropertiesMM.MMField[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `compareTo, equals, getDeclaringClass, hashCode, name, ordinal, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### REAL

          public static final FileFormatPropertiesMM.MMField REAL

    - #### INTEGER

          public static final FileFormatPropertiesMM.MMField INTEGER

    - #### COMPLEX

          public static final FileFormatPropertiesMM.MMField COMPLEX

    - #### PATTERN

          public static final FileFormatPropertiesMM.MMField PATTERN

  - ### Method Detail

    - #### values

          public static FileFormatPropertiesMM.MMField[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (FileFormatPropertiesMM.MMField c : FileFormatPropertiesMM.MMField.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static FileFormatPropertiesMM.MMField valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Enum<FileFormatPropertiesMM.MMField>`

Copyright © 2020 The Apache Software Foundation. All rights reserved.